L3TOL(3)

NAME
l3tol, ltol3 - convert between 3-byte and long integers (2BSD)

SYNOPSIS
l3tol(lp, cp, n)
long *lp;
char *cp;
ltol3(cp, lp, n)
char *cp;
long *lp;

DESCRIPTION
L3tol converts a list of n three-byte integers packed into a character string pointed to by cp into a list of long integers pointed to by lp.

Ltol3 performs the inverse conversion from long integers (lp) to three-byte integers (cp).

These functions are useful for file-system maintenance under 2BSD where disk addresses within inodes are three bytes long.

SEE ALSO
fs(5)

BUGS
l3tol and ltol3 are unique to the PDP-11 and 2BSD; their use is discouraged.